Bug 65924 - Setting locale failed for de_DE@euro
Summary: Setting locale failed for de_DE@euro
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-04 13:49 UTC by Juergen Weiss
Modified: 2007-04-18 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-28 07:20:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Juergen Weiss 2002-06-04 13:49:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (WinNT; U)

Description of problem:
After installation many application (ex. perl ) complain: setting locale failed. Falling back to the standard locale ("C")



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RedHat 7.3 with langsupport --default de_DE en_US
2. run perl


	

Actual Results:  perl: warning: Setting locale failed.
perl: warning: Please check your locale settings:
LANGUAGE = (unset)
LC_ALL = (unset)
LANG = "de_DE@euro"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").



Expected Results:  perl or any other application should run withour errors

Additional info:

A similar message is generate by application like gnorpm. Its not a perl specific problem. I only used it for demonstration

Comment 1 Juergen Weiss 2002-06-06 11:18:33 UTC
Is there anny chance to get a response

Comment 2 Marc Schmitt 2002-06-13 13:46:53 UTC
Hi

I also run into the problem, the solution is as follows:
You have to put the language you want to be the default also into the list of
langsupport. Meaning, in your case:

--default de_DE en_US de_DE

otherwhise it will install support for en_US only and set the default to de_DE,
which is not installed.

HTH
Regards,
     Marc

Comment 3 Chip Turner 2003-04-11 21:25:01 UTC
is this an issue in RH8 or RH9?


Note You need to log in before you can comment on or make changes to this bug.